!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# List all skills
skills = client.skills.list()
for skill in skills:
print(f"{skill.name} (v{skill.version}): {skill.description}")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const skills = await client.skills.list();
console.log(skills);
curl -X GET "https://api.vlm.run/v1/skills" \
-H "Authorization: Bearer <VLMRUN_API_KEY>"
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"skill_version": "latest",
"skill_uri": "<string>",
"is_public": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Skills
List Skills
List all skills from the database.
- Authenticated user: returns their org’s skills + public skills.
- Guest user: returns public skills only (guest org has no skills).
Query parameters:
- limit/offset: Pagination controls.
- order_by: Sort field (created_at, updated_at, name). Default: created_at.
- descending: Sort direction. Default: true.
- grouped: When true, returns only the latest version of each skill name.
GET
/
v1
/
skills
!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# List all skills
skills = client.skills.list()
for skill in skills:
print(f"{skill.name} (v{skill.version}): {skill.description}")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const skills = await client.skills.list();
console.log(skills);
curl -X GET "https://api.vlm.run/v1/skills" \
-H "Authorization: Bearer <VLMRUN_API_KEY>"
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"skill_version": "latest",
"skill_uri": "<string>",
"is_public": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}!pip install vlmrun
from vlmrun.client import VLMRun
client = VLMRun(api_key="<VLMRUN_API_KEY>")
# List all skills
skills = client.skills.list()
for skill in skills:
print(f"{skill.name} (v{skill.version}): {skill.description}")
import { VlmRun } from "vlmrun";
const client = new VlmRun({
baseURL: "https://api.vlm.run/v1",
apiKey: "<VLMRUN_API_KEY>"
});
const skills = await client.skills.list();
console.log(skills);
curl -X GET "https://api.vlm.run/v1/skills" \
-H "Authorization: Bearer <VLMRUN_API_KEY>"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of items to return
Required range:
1 <= x <= 1000Number of items to skip
Required range:
x >= 0Field to order by (created_at, updated_at, name)
Sort in descending order
Group by skill name, returning only the latest version of each
Response
Successful Response
Unique skill identifier
Name of the skill
Description of the skill
Version of the skill
GCS URI of the skill zip file
Whether the skill is publicly accessible
Date and time when the skill was created
Date and time when the skill was updated